--- 
vendor: "ESRI"
id: "0"
title: "Devices"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  Status: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  Zabbix: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  AssetPlacement: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  EquipmentType: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  EquipmentNumber: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  SupFloc: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  FLOC: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  ObjectType: 
    type: "string"
    esriLength: 15
    esriType: "esriFieldTypeString"
  IPAddress: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  Identifier: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  OldName: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  RouteType: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  Route: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  Direction: 
    type: "string"
    esriLength: 2
    esriType: "esriFieldTypeString"
  RefPt: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  RoundedMM: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  Latitude: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  Longitude: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  Elevation: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  LaneDesignation: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  DeviceNum: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  PublicName: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  HostName: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  CrossReference: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  Region: 
    type: "string"
    esriLength: 5
    esriType: "esriFieldTypeString"
  County: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  CityCLLIcode: 
    type: "string"
    esriLength: 25
    esriType: "esriFieldTypeString"
  BuildingName: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  ProjectNumber: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  InstallDate: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  Manufacturer: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  Model: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  EquipmentSubtype: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  SerialNumber: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  ReplacementCost: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  UsefulLife: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  PercentUsefulLife: 
    type: "string"
    esriLength: 10
    esriType: "esriFieldTypeString"
  CommType: 
    type: "string"
    esriLength: 20
    esriType: "esriFieldTypeString"
  CommAccount: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  CommPhoneLine: 
    type: "string"
    esriLength: 25
    esriType: "esriFieldTypeString"
  PowerProvider: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  PowerAccount: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  PowerMeter: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  Notes: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  AccessInfo: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  DataSource: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  SourceComments: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  AssetOwner: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  MaintResponsibility: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  ServicePackages: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  created_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  created_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  last_edited_user: 
    type: "string"
    esriLength: 255
    esriType: "esriFieldTypeString"
  last_edited_date: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  GlobalID: 
    type: "integer"
    esriType: "esriFieldTypeGlobalID"
  Shape: 
    format: "geometry-point"
    esriType: "esriFieldTypeGeometry"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"